Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.annotation
Class AnnotationInfo

    java.lang.Object
      org.apache.myfaces.orchestra.annotation.AnnotationInfo

    public class AnnotationInfo

extends Object

Holds information extracted out of a single bean using its annotations.

Constructor Summary
`AnnotationInfo(String beanName, Class<?> beanClass)`

Method Summary
`Class<?>` | `getBeanClass()`
`String` | `getBeanName()`
`ConversationName` | `getConversationName()`
`ConversationRequire` | `getConversationRequire()`
`Method` | `getInitViewMethod()`
`Method` | `getPreProcessMethod()`
`Method` | `getPreRenderViewMethod()`
`ViewController` | `getViewController()`
`void` | `setConversationName(ConversationName conversationName)`
`void` | `setConversationRequire(ConversationRequire conversationRequire)`
`void` | `setInitViewMethod(Method initViewMethod)`
`void` | `setPreProcessMethod(Method preProcessMethod)`
`void` | `setPreRenderViewMethod(Method preRenderViewMethod)`
`void` | `setViewController(ViewController viewController)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationInfo

    public AnnotationInfo(String beanName,
                          Class<?> beanClass)

Method Detail

### getBeanName

    public String getBeanName()

### getBeanClass

    public Class<?> getBeanClass()

### getConversationName

    public ConversationName getConversationName()

### setConversationName

    public void setConversationName(ConversationName conversationName)

### getConversationRequire

    public ConversationRequire getConversationRequire()

### setConversationRequire

    public void setConversationRequire(ConversationRequire conversationRequire)

### getViewController

    public ViewController getViewController()

### setViewController

    public void setViewController(ViewController viewController)

### getInitViewMethod

    public Method getInitViewMethod()

### setInitViewMethod

    public void setInitViewMethod(Method initViewMethod)

### getPreProcessMethod

    public Method getPreProcessMethod()

### setPreProcessMethod

    public void setPreProcessMethod(Method preProcessMethod)

### getPreRenderViewMethod

    public Method getPreRenderViewMethod()

### setPreRenderViewMethod

    public void setPreRenderViewMethod(Method preRenderViewMethod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.